> ## Documentation Index
> Fetch the complete documentation index at: https://docs.predexon.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Volume Time Series

> Get historical cumulative volume data for a market

Fetch historical cumulative trading volume for a token.

<Tip>**Free & Unlimited.** This endpoint does not count toward your monthly usage limits on any plan.</Tip>


## OpenAPI

````yaml GET /v2/polymarket/markets/{token_id}/volume
openapi: 3.1.0
info:
  title: Predexon API
  description: Prediction market data aggregation and matching API
  version: 2.0.0
servers:
  - url: https://api.predexon.com
security:
  - apiKey: []
paths:
  /v2/polymarket/markets/{token_id}/volume:
    get:
      tags:
        - polymarket
      summary: Get Market Volume Time Series
      description: >-
        Return historical time series of traded volume for a token (day+
        granularity).
      operationId: >-
        get_market_volume_time_series_v2_polymarket_markets__token_id__volume_get
      parameters:
        - name: token_id
          in: path
          required: true
          schema:
            type: string
            description: Token ID for the market
            title: Token Id
          description: Token ID for the market
        - name: granularity
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/PnLGranularity'
            description: Time granularity
            default: day
          description: Time granularity
        - name: start_time
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
                minimum: 0
              - type: 'null'
            description: Unix timestamp (seconds) for start
            title: Start Time
          description: Unix timestamp (seconds) for start
        - name: end_time
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
                minimum: 0
              - type: 'null'
            description: Unix timestamp (seconds) for end
            title: End Time
          description: Unix timestamp (seconds) for end
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MarketVolumeTimeSeriesResponse'
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Internal Server Error
components:
  schemas:
    PnLGranularity:
      type: string
      enum:
        - day
        - week
        - month
        - year
        - all
      title: PnLGranularity
      description: PnL granularity enum.
    MarketVolumeTimeSeriesResponse:
      properties:
        token_id:
          type: string
          title: Token Id
        granularity:
          $ref: '#/components/schemas/PnLGranularity'
        start_time:
          type: integer
          title: Start Time
        end_time:
          type: integer
          title: End Time
        volume_over_time:
          items:
            $ref: '#/components/schemas/VolumeDataPoint'
          type: array
          title: Volume Over Time
      type: object
      required:
        - token_id
        - granularity
        - start_time
        - end_time
        - volume_over_time
      title: MarketVolumeTimeSeriesResponse
      description: Market volume time series endpoint response.
    ErrorResponse:
      properties:
        error:
          type: string
          title: Error
        message:
          type: string
          title: Message
      type: object
      required:
        - error
        - message
      title: ErrorResponse
      description: Standard error response.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    VolumeDataPoint:
      properties:
        timestamp:
          type: integer
          title: Timestamp
          description: Unix timestamp in seconds
        volume:
          type: number
          title: Volume
          description: Cumulative volume up to this point
        buy_volume:
          type: number
          title: Buy Volume
          description: Cumulative buy volume up to this point
        sell_volume:
          type: number
          title: Sell Volume
          description: Cumulative sell volume up to this point
      type: object
      required:
        - timestamp
        - volume
        - buy_volume
        - sell_volume
      title: VolumeDataPoint
      description: Individual volume data point.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key

````